/**
 * @file LAMPCAEVersionMacros.h
 * @brief LAMPCAE版本号宏定义文件
 * @author LAMPCAE研发小组(LAMPCAE@diso.cn)
 * @version 2.5.0
 * @date 2022-02-13 15:37
 * @copyright Copyright (c) Since 2020 青岛数智船海科技有限公司  All rights reserved.
 *
 * ============================================================================
 * Program:   LAMPCAE
 *
 * Copyright (c) Since 2020 青岛数智船海科技有限公司  All rights reserved.
 * See License or http://www.LAMPCAE.com/ for details.
 *
 * BSD 3-Clause License
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.
 * ==================================================================================
 */
#ifndef _LAMPCAEVERSIONMACROS_H_
#define _LAMPCAEVERSIONMACROS_H_

#define LAMPCAE_MAJOR_VERSION 2
#define LAMPCAE_MINOR_VERSION 5
#define LAMPCAE_BUILD_VERSION 0

#define LAMPCAE_VERSION "2.5.0"

/**************
0000 0000 0000
Maj  Min  Build
eg.
0002 0015 0035 -> V2.15.35
**************/
#define LAMPCAE_VERSION_NUMBER (100000000ULL * LAMPCAE_MAJOR_VERSION + 100000ULL * LAMPCAE_MINOR_VERSION + LAMPCAE_BUILD_VERSION)

#endif