﻿#include "BoundaryModel.h"
#include "EditorBoundaryModel.h"
#include "DataProperty/modelTreeItemType.h"

namespace LAMPCAEDesigner
{
	BoundaryModel::BoundaryModel(QString nameEng, QString nameChn, QString iconName, QObject *parent)
		: ModelBase(nameEng, nameChn, iconName, TreeItemType::ProjectBoundaryCondation, parent)
	{
	}

	BoundaryModel::~BoundaryModel()
	{
	}

	int BoundaryModel::ShowEditor(QTreeWidgetItem *treeItem, QWidget *parent)
	{
		LAMPCAEDesigner::EditorBoundaryModel dlg(treeItem, this, parent);
		return dlg.exec();
	}

	//获取常用条件
	QString BoundaryModel::GetCommanCondition()
	{
		return _commonCondition;
	}

	void BoundaryModel::SetCommonCondition(QString condition)
	{
		_commonCondition = condition;
	}

}